Package org.kapott.hbci.GV

## Class GVUebSEPA

- java.lang.Object
- - org.kapott.hbci.GV.HBCIJobImpl
  - - org.kapott.hbci.GV.AbstractSEPAGV
    - - org.kapott.hbci.GV.GVUebSEPA

All Implemented Interfaces:
  `HBCIJob`

Direct Known Subclasses:
  `GVInstUebSEPA`, `GVMultiUebSEPA`

    public class GVUebSEPA
    extends AbstractSEPAGV

Job-Implementierung fuer SEPA-Ueberweisungen.

### Field Summary

### Fields inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`ENDTOEND_ID_NOTPROVIDED, sepaParams`

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

### Constructor Summary

Constructors
`GVUebSEPA​(HBCIHandler handler)` ct.
`GVUebSEPA​(HBCIHandler handler, java.lang.String name)` ct.
`GVUebSEPA​(HBCIHandler handler, java.lang.String name, HBCIJobResultImpl jobResult)` ct.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected SepaVersion` `getDefaultPainVersion()` Liefert die Default-PAIN-Version, das verwendet werden soll, wenn von der Bank keine geliefert wurden.
`static java.lang.String` `getLowlevelName()` Liefert den Lowlevel-Namen des Jobs.
`protected SepaVersion.Type` `getPainType()` Liefert den PAIN-Type.

### Methods inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`addConstraint, createSEPAFromParams, getLowlevelParam, getPainJobName, getPainVersion, getSEPAGenerator, getSEPAMessageId, getSEPAParam, setLowlevelParam, setSEPAParam, verifyConstraints`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, extractResults, fillJobResult, fillJobResultFromTanJob, getChallengeParam, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GVUebSEPA

    public GVUebSEPA​(HBCIHandler handler)

ct.

Parameters:
  `handler` -

#### GVUebSEPA

    public GVUebSEPA​(HBCIHandler handler,
                     java.lang.String name)

ct.

Parameters:
  `handler` -
  `name` -

#### GVUebSEPA

    public GVUebSEPA​(HBCIHandler handler,
                     java.lang.String name,
                     HBCIJobResultImpl jobResult)

ct.

Parameters:
  `handler` -
  `name` -
  `jobResult` -

### Method Detail

#### getDefaultPainVersion

    protected SepaVersion getDefaultPainVersion()

Description copied from class: `AbstractSEPAGV`
Liefert die Default-PAIN-Version, das verwendet werden soll, wenn von der Bank keine geliefert wurden.

Specified by:
  `getDefaultPainVersion` in class `AbstractSEPAGV`
Returns:
  Default-Pain-Version.
See Also:
  `AbstractSEPAGV.getDefaultPainVersion()`

#### getPainType

    protected SepaVersion.Type getPainType()

Description copied from class: `AbstractSEPAGV`
Liefert den PAIN-Type.

Specified by:
  `getPainType` in class `AbstractSEPAGV`
Returns:
  der PAIN-Type.
See Also:
  `AbstractSEPAGV.getPainType()`

#### getLowlevelName

    public static java.lang.String getLowlevelName()

Liefert den Lowlevel-Namen des Jobs.

Returns:
  der Lowlevel-Namen des Jobs.